summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-arcade/performous')
-rw-r--r--games-arcade/performous/Manifest5
-rw-r--r--games-arcade/performous/files/performous-1.0-gentoo.patch12
-rw-r--r--games-arcade/performous/files/performous-1.0-include.patch10
-rw-r--r--games-arcade/performous/files/performous-1.0-libav.patch19
-rw-r--r--games-arcade/performous/files/performous-1.0-linguas.patch18
-rw-r--r--games-arcade/performous/metadata.xml18
-rw-r--r--games-arcade/performous/performous-1.0.ebuild113
7 files changed, 195 insertions, 0 deletions
diff --git a/games-arcade/performous/Manifest b/games-arcade/performous/Manifest
new file mode 100644
index 000000000000..8d5f72d456d5
--- /dev/null
+++ b/games-arcade/performous/Manifest
@@ -0,0 +1,5 @@
+DIST performous-1.0.tar.gz 3950246 SHA256 da9f39d281dbfe0849897dc98dc72cfc5a54be53f67c29b6430e57aefcc86b50 SHA512 9cdc6ad71248fede7df6fdc8ea4aca70a9c79be40e1d8c07c425f4a0e0c6e352233aee2ddeb586dcc6a7ea567b3e399aad9c5840475d8ce91c3ec7d4ec1eb30b WHIRLPOOL 2b9dbf8cec9e09bbff6a9490cbeb3fc04e88776c57fe80b9da04b91cdc2ac8ed9e129746e2adb4866ee52edb819229c6f52c45d2e301718a7c4e106ba27f14f1
+DIST ultrastar-songs-jc-1.zip 242698201 SHA256 b3a6f980926c4f1ce40bc763a406040855600ad005f4daa54e0ac324ce99a9ba SHA512 2f1b8416990c39617269cd6bb7271abdd4ebae65a9bac3dbb3f37cca26876bb7c79460a37597943a10a2d8bfcb5d2d9e2bf24084fe517a418e69f5c6111f6aea WHIRLPOOL 13bd3761b80b2a9491c6dbe2e535dbdc1e0f53b51d5070a0caf776da94c45c62a5a6980b4d95f629e0cfe5d6ef985428e5dcf6d4ba2f0931e6ea1d39d7f6674c
+DIST ultrastar-songs-libre-3.zip 5289866 SHA256 739d1c678bb7c786499f5216faee420b9b56633142928aff60a7282dae755489 SHA512 820e3637a7b778c92ed1a8b925802134fa2146879b3e03e88cd412de5414635c90fe256dfaf984cfa3e8b07b7da8531dc3061b7c4e1bb4422127b469b2345e66 WHIRLPOOL 48d48e82ec8bd02376b3def5a3f215331c49853cf00439686cd577ebd51321e4a4e8b213d40356a46e2a2bd2a1bf6c1cb07b09195209833f4eb004166937bfe5
+DIST ultrastar-songs-restricted-3.zip 10242651 SHA256 e05d81333f85e2c6c271a67f90beac453d64eac78cd95eec7214721182257a82 SHA512 70b987fec3705d6610625c1f30a7ff683a51bb6b7ee3174609c80dc31c1bccdb23dcb2c6ae8154e1b1d9ef115b914e27e73925878a3c5460b997fdde813456b8 WHIRLPOOL cb83550395bbbadb45ad982fd4586a4dca49ae96bbe7adfab1b925301fa69eb5581c24f0c5c8d3593851a80b3e86137eea7658753f720ad76bae6e5809c2feba
+DIST ultrastar-songs-shearer-1.zip 50411551 SHA256 967c3dfae2da2915a66fd9dfee14da7191e13bb95e8b0820049d109c21f25628 SHA512 add9df22b78967fd6f19699e8569f976423e931a32ea7a62cfec2f94470b9120f05832560215a000ecec8dd65508b057fac8ac90efd3a768ed74ddced186a73b WHIRLPOOL 868974ba4e68482dde0a25b338f0c8afd64435ddb872cd4a2ac7d5e8a984d16ebfdca530501779c24d1b2e4feb8151ee71f5db3052032fd706f42a88d31a46ab
diff --git a/games-arcade/performous/files/performous-1.0-gentoo.patch b/games-arcade/performous/files/performous-1.0-gentoo.patch
new file mode 100644
index 000000000000..a73663a88c41
--- /dev/null
+++ b/games-arcade/performous/files/performous-1.0-gentoo.patch
@@ -0,0 +1,12 @@
+diff -ru performous-1.0.orig/game/CMakeLists.txt performous-1.0/game/CMakeLists.txt
+--- performous-1.0.orig/game/CMakeLists.txt 2014-10-28 19:11:45.000000000 -0400
++++ performous-1.0/game/CMakeLists.txt 2015-03-31 03:01:30.806061643 -0400
+@@ -141,7 +141,7 @@
+ set(BIN_INSTALL .) # Straight to Program Files/Performous with no bin subfolder.
+ set(SUBSYSTEM_WIN32 WIN32)
+ else()
+- set(BIN_INSTALL bin)
++ set(BIN_INSTALL @GENTOO_BINDIR@)
+ endif()
+
+ # Build main executable
diff --git a/games-arcade/performous/files/performous-1.0-include.patch b/games-arcade/performous/files/performous-1.0-include.patch
new file mode 100644
index 000000000000..ba67018e5422
--- /dev/null
+++ b/games-arcade/performous/files/performous-1.0-include.patch
@@ -0,0 +1,10 @@
+--- performous-1.0/game/song.hh.orig 2015-03-31 13:56:13.546360617 -0400
++++ performous-1.0/game/song.hh 2015-03-31 13:56:23.609025021 -0400
+@@ -3,6 +3,7 @@
+ #include "i18n.hh"
+ #include "notes.hh"
+ #include "util.hh"
++#include "fs.hh"
+ #include <boost/foreach.hpp>
+ #include <boost/noncopyable.hpp>
+ #include <stdexcept>
diff --git a/games-arcade/performous/files/performous-1.0-libav.patch b/games-arcade/performous/files/performous-1.0-libav.patch
new file mode 100644
index 000000000000..e3f36615281e
--- /dev/null
+++ b/games-arcade/performous/files/performous-1.0-libav.patch
@@ -0,0 +1,19 @@
+diff -urN Performous-0.6.1-Source.old/cmake/Modules/FindAVUtil.cmake Performous-0.6.1-Source/cmake/Modules/FindAVUtil.cmake
+--- Performous-0.6.1-Source.old/cmake/Modules/FindAVUtil.cmake 2012-05-16 13:44:26.112930173 +0200
++++ Performous-0.6.1-Source/cmake/Modules/FindAVUtil.cmake 2012-05-16 13:56:10.229914635 +0200
+@@ -25,9 +25,15 @@
+ if(EXISTS "${AVUtil_INCLUDE_DIR}/${suffix}avutil.h")
+ set(AVUtil_INCLUDE "${suffix}avutil.h")
+ endif(EXISTS "${AVUtil_INCLUDE_DIR}/${suffix}avutil.h")
++ if(EXISTS "${AVUtil_INCLUDE_DIR}/${suffix}mathematics.h")
++ set(AVUtilMath_INCLUDE "${suffix}mathematics.h")
++ endif(EXISTS "${AVUtil_INCLUDE_DIR}/${suffix}mathematics.h")
+ endif(NOT AVUtil_INCLUDE)
+ endforeach(suffix)
+
++ if(NOT AVUtilMath_INCLUDE)
++ message(FATAL_ERROR "Found mathematics.h include dir, but not the header file. Perhaps you need to clear CMake cache?")
++ endif(NOT AVUtilMath_INCLUDE)
+ if(NOT AVUtil_INCLUDE)
+ message(FATAL_ERROR "Found avutil.h include dir, but not the header file. Perhaps you need to clear CMake cache?")
+ endif(NOT AVUtil_INCLUDE)
diff --git a/games-arcade/performous/files/performous-1.0-linguas.patch b/games-arcade/performous/files/performous-1.0-linguas.patch
new file mode 100644
index 000000000000..f8f1349ea3b9
--- /dev/null
+++ b/games-arcade/performous/files/performous-1.0-linguas.patch
@@ -0,0 +1,18 @@
+diff -ru performous-1.0.orig/lang/CMakeLists.txt performous-1.0/lang/CMakeLists.txt
+--- performous-1.0.orig/lang/CMakeLists.txt 2014-10-28 19:11:45.000000000 -0400
++++ performous-1.0/lang/CMakeLists.txt 2015-02-22 04:25:40.502252942 -0500
+@@ -9,5 +9,13 @@
+ file(MAKE_DIRECTORY "${mobuild}")
+ add_custom_command(OUTPUT "${mofile}" COMMAND "${Msgfmt_BIN}" -v "${pofile}" -o "${mofile}" MAIN_DEPENDENCY "${pofile}" COMMENT "Building ${language} locale" VERBATIM)
+ add_custom_target("locale_${language}" ALL DEPENDS "${mofile}") # Make sure the mofiles are always built
+- install(FILES "${mofile}" DESTINATION "${LOCALE_DIR}/${language}/LC_MESSAGES")
+ endforeach(language)
++foreach(language $ENV{LINGUAS})
++ set(pofile ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po)
++ if (EXISTS ${pofile})
++ set(mofile ${CMAKE_CURRENT_BINARY_DIR}/${language}.mo)
++ install(FILES ${mofile} DESTINATION
++{LOCALE_DIR}/${language}/LC_MESSAGES RENAME ${CMAKE_PROJECT_NAME}.mo)
++ endif()
++endforeach(language)
++
diff --git a/games-arcade/performous/metadata.xml b/games-arcade/performous/metadata.xml
new file mode 100644
index 000000000000..9def245b0290
--- /dev/null
+++ b/games-arcade/performous/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <longdescription lang="en">
+ Performous is an open-source rhythm/performance platform that contains singing, guitar/bass playing, drumming and dancing all in one game.
+ </longdescription>
+ <use>
+ <flag name="midi">Enable MIDI I/O support</flag>
+ <flag name="songs">Install a few demo songs</flag>
+ <flag name="tools">Install tools</flag>
+ <flag name="webcam">Enable Webcam support</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">performous</remote-id>
+ <remote-id type="github">performous/performous</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/games-arcade/performous/performous-1.0.ebuild b/games-arcade/performous/performous-1.0.ebuild
new file mode 100644
index 000000000000..ab277f8f3996
--- /dev/null
+++ b/games-arcade/performous/performous-1.0.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+CMAKE_REMOVE_MODULES="yes"
+CMAKE_REMOVE_MODULES_LIST="FindALSA FindBoost FindFreetype FindGettext FindJpeg FindPng FindTiff FindZ"
+inherit eutils cmake-utils gnome2-utils games
+
+MY_PN=Performous
+MY_P=${MY_PN}-${PV}
+SONGS_PN=ultrastar-songs
+
+DESCRIPTION="SingStar GPL clone"
+HOMEPAGE="http://sourceforge.net/projects/performous/"
+SRC_URI="https://github.com/performous/performous/archive/1.0.tar.gz -> ${P}.tar.gz
+ songs? (
+ mirror://sourceforge/performous/${SONGS_PN}-restricted-3.zip
+ mirror://sourceforge/performous/${SONGS_PN}-jc-1.zip
+ mirror://sourceforge/performous/${SONGS_PN}-libre-3.zip
+ mirror://sourceforge/performous/${SONGS_PN}-shearer-1.zip
+ )"
+
+LICENSE="GPL-2
+ songs? (
+ CC-BY-NC-SA-2.5
+ CC-BY-NC-ND-2.5
+ )"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="midi songs tools webcam"
+
+RDEPEND="dev-cpp/glibmm
+ dev-cpp/libxmlpp
+ media-libs/portaudio
+ dev-libs/boost[threads(+)]
+ dev-libs/glib:2
+ dev-libs/libxml2
+ gnome-base/librsvg
+ media-gfx/imagemagick
+ virtual/jpeg:0
+ media-libs/libpng:0
+ media-libs/libsdl2[joystick,video]
+ virtual/ffmpeg
+ virtual/opengl
+ virtual/glu
+ sys-libs/zlib
+ virtual/libintl
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/pango
+ media-libs/glew
+ midi? ( media-libs/portmidi )
+ webcam? ( media-libs/opencv )"
+DEPEND="${RDEPEND}
+ sys-apps/help2man
+ sys-devel/gettext"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${P}-libav.patch \
+ "${FILESDIR}"/${P}-gentoo.patch \
+ "${FILESDIR}"/${P}-linguas.patch \
+ "${FILESDIR}"/${P}-include.patch
+ sed -i \
+ -e "s:@GENTOO_BINDIR@:${GAMES_BINDIR}:" \
+ -e '/ Z /s/ Z / ZLIB /' \
+ -e 's/Jpeg/JPEG/' \
+ -e 's/Png/PNG/' \
+ game/CMakeLists.txt || die
+
+ strip-linguas -u lang
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_enable tools TOOLS)
+ $(cmake-utils_use_enable webcam WEBCAM)
+ $(cmake-utils_use_enable midi MIDI)
+ -DCMAKE_VERBOSE_MAKEFILE=TRUE
+ -DSHARE_INSTALL="${GAMES_DATADIR}"/${PN}
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+ if use songs ; then
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r "${WORKDIR}/songs"
+ fi
+ dodoc docs/{Authors,instruments}.txt
+ newicon -s scalable data/themes/default/icon.svg ${PN}.svg
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}